Package org.h2gis.functions.spatial.convert

# Class ST_PointFromText

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.convert.ST_PointFromText

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_PointFromText extends org.h2gis.api.DeterministicScalarFunction
Convert a WKT String into a Point.

Author:
  Nicolas Fortin, Adam Gouge

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_ERROR`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_PointFromText()`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`toGeometry(String wKT)`
Convert the WKT String to a Geometry with the given SRID.
`static org.locationtech.jts.geom.Geometry`
`toGeometry(String wKT, int srid)`
Convert the WKT String to a Geometry with the given SRID.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Field Details

### TYPE_ERROR

public static final String TYPE_ERROR

See Also:
  - Constant Field Values

## Constructor Details

### ST_PointFromText

public ST_PointFromText()
Default constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### toGeometry

public static org.locationtech.jts.geom.Geometry toGeometry(String wKT) throws SQLException
Convert the WKT String to a Geometry with the given SRID.

Parameters:
  `wKT` - Well Known Text value
Returns:
  Geometry
Throws:
  `SQLException` - Invalid argument or the geometry type is wrong.

### toGeometry

public static org.locationtech.jts.geom.Geometry toGeometry(String wKT, int srid) throws SQLException
Convert the WKT String to a Geometry with the given SRID.

Parameters:
  `wKT` - Well Known Text value
  `srid` - Valid SRID
Returns:
  Geometry
Throws:
  `SQLException` - Invalid argument or the geometry type is wrong.